@charset "utf-8";
/* CSS Document */

/* Loading
/* ....... */

/* quadro do loading */
.loading {
	position: fixed;
	top: 0;
	left: 0;
	padding: 50vh calc(50vw - 75px);
	width: 150px;
	background: var(--sombra);
	backdrop-filter: blur(5px);
	color: var(--fonte);
	z-index: 5;
}

	.loading span {
		position: relative;
		font-weight: bold;
		top: -12px;
		left: 5px;
	}

.loadingBack {
	background: url(../../imagens/gestor/loading.svg);
	background-repeat: no-repeat;
	background-position: center;
	width: 100%;
	height: 100%;
}

/* icones de loading */
.iconeLoading,
.iconeLoading-mini,
.iconeLoading-login {
	display: inline-block;
	position: relative;
}

	/* .................. */

	.iconeLoading {
		top: 0px;
		left: 0px;
	}

		.iconeLoading:after {
			width: 25px;
			height: 25px;
			border: 4px solid;
		}

	/* .................. */

	.iconeLoading-mini,
	.iconeLoading-login {
		top: 2px;
		left: -2px;
	}

		.iconeLoading-mini:after,
		.iconeLoading-login:after {
			width: 9px;
			height: 9px;
			border: 2px solid;
		}

	/* .................. */

	.iconeLoading:after,
	.iconeLoading-mini:after,
	.iconeLoading-login:after {
		content: " ";
		display: block;
		border-radius: 50%;
		animation: animeLoading 1.2s linear infinite;
		border-color: var(--fonte) transparent var(--fonte) transparent !important;
	}

@keyframes animeLoading {
	
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }

}
